Subject: Re: bug#35381: 26.2; nxml-mode doesn't fontify attributes in single quotes

From: Stefan Monnier <[email-masked]>
Date: Mon, 29 Apr 2019 17:23:40 -0400

> XML says comments should always be <!--...--> where ... contains no
> "--".

That's also what I remember.

> For SGML, it seems that --...-- is a comment within DTD definitions.

But only within the DTD definition, so in practice I think it means it's
not a comment in SGML files.

> Otherwise only <!-- starts a comment, but "--" can toggle interpretation
> of angle brackets and other special characters.  But browsers may or may
> not handle the toggling thing correctly, so the recommendation for HTML
> is to stick <!--...--> just like XML.  It's all rather confusing.

Confusing is a pretty good description.  From where I stand, I think we
simply shouldn't bother to try and handle "--" specially.  At least not
before someone comes with a concrete use-case.

        Stefan